/*
 *  RTEMS getpid Implementation
 *
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  __getpid.c,v 1.3 1995/09/26 19:27:03 joel Exp
 */

#include <rtems.h>

#include <unistd.h>
#include <sys/types.h>

pid_t __getpid(void)
{
  rtems_status_code status;
  rtems_id          my_id;

  status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &my_id );

  return (pid_t) my_id;
}
