# 1 ""
 
















# 1 "/usr/people/jsg/rtems-3.5.02/c/efi68k/include/asm.h" 1
 



























 




# 1 "/usr/people/jsg/rtems-3.5.02/c/efi68k/include/rtems/score/m68k.h" 1
 






















 





 















 































 

 







# 155 "/usr/people/jsg/rtems-3.5.02/c/efi68k/include/rtems/score/m68k.h"


 








 





# 283 "/usr/people/jsg/rtems-3.5.02/c/efi68k/include/rtems/score/m68k.h"



 
# 34 "/usr/people/jsg/rtems-3.5.02/c/efi68k/include/asm.h" 2


 














 




 



 






































 
















 








 


# 18 "" 2


        .text

 




        .align  4
        .global  _CPU_Context_switch      

.set RUNCONTEXT_ARG,   4                   | save context argument
.set HEIRCONTEXT_ARG,  8                   | restore context argument

 _CPU_Context_switch      :
          moval      %a7       @(RUNCONTEXT_ARG),  %a0       |   %a0        = running thread context
          movw       %sr       ,  %d1                        |   %d1        = status register
          movml      %d1       -   %d7       /  %a2       -   %a7       ,  %a0       @       | save context

          moval      %a7       @(HEIRCONTEXT_ARG),  %a0       |   %a0        = heir thread context
restore:  movml      %a0       @,  %d1       -   %d7       /  %a2       -   %a7            | restore context
          movw       %d1       ,  %sr                         | restore status register
          rts

 












.set FPCONTEXT_ARG,   4                    | save FP context argument

        .align  4
        .global  _CPU_Context_save_fp      
 _CPU_Context_save_fp      :
# 71 ""

        rts

        .align  4
        .global  _CPU_Context_restore_fp      
 _CPU_Context_restore_fp      :
# 87 ""

        rts

 













 














 





.set JSR_OFFSET,   0                     | return address from jsr table
.set SR_OFFSET,    4
.set PC_OFFSET,    6

 
.set SAVED,        16                    | space for saved registers

        .align  4
        .global  _ISR_Handler      

 _ISR_Handler      :
        addql   #1, _Thread_Dispatch_disable_level       | disable multitasking
        addql   #1, _ISR_Nest_level       | one nest level deeper
        moveml    %d0       -   %d1       /  %a0       -   %a1       ,  %a7       @-         | save   %d0       -   %d1       ,  %a0       -   %a1       

 







        movel     %a7       @(SAVED+JSR_OFFSET),  %d0        | assume the exception table at 0x0000
        addql   #6,  %d0                           | points to a jump table (jsr) in RAM
        subl    #_VBR,  %d0                        | VBR is the location of the jump table
        divs    #3,  %d0       
        lsll    #1,  %d0       
        extl      %d0       








        movel   #  _ISR_Vector_table      ,  %a0          |   %a0        = base of RTEMS table
        addal     %d0       ,  %a0                           |   %a0        = address of vector
        movel   (  %a0       ),  %a0                         |   %a0        = address of user routine


        lsrl    #2,  %d0                           |   %d0        = vector number
        movel     %d0       ,  %a7       @-                  | push vector number
        jbsr      %a0       @                      | invoke the user ISR
        addql   #4,  %a7                           | remove vector number

 




        subql   #1, _ISR_Nest_level       | one less nest level
        subql   #1, _Thread_Dispatch_disable_level      
                                         | unnest multitasking
        bne     exit                     | If dispatch disabled, exit








        tstl     _Context_Switch_necessary      
                                         | Is thread switch necessary?
        bne     bframe                   | Yes, invoke dispatcher

        tstl     _ISR_Signals_to_thread_executing      
                                         | signals sent to Run_thread
                                         |   while in interrupt handler?
        beq     exit                     | No, then exit


bframe: clrl     _ISR_Signals_to_thread_executing      
                                         | If sent, will be processed








        movew     %a7       @(16+SR_OFFSET),  %sr       
        jsr      _Thread_Dispatch      



exit:   moveml    %a7       @+,  %d0       -   %d1       /  %a0       -   %a1                | restore   %d0       -   %d1       ,  %a0       -   %a1       

        addql   #4,  %a7                           | pop vector address

        rte                              | return to thread
                                         |   OR _Isr_dispatch

 













        .global  _ISR_Dispatch      
 _ISR_Dispatch      :
        movml     %d0       -   %d1       /  %a0       -   %a1       ,  %a7       @-
        jsr      _Thread_Dispatch      
        movml     %a7       @+,  %d0       -   %d1       /  %a0       -   %a1       

        addql   #4,  %a7                           | pop vector address

        rte
